Bug 1463776 - [RFE] - You should see the possible "Name" for External user group
[RFE] - You should see the possible "Name" for External user group
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: LDAP (Show other bugs)
All Linux
medium Severity medium (vote)
: Unspecified
: --
Assigned To: Daniel Lobato Garcia
Katello QA List
: FutureFeature
Depends On: 260381
Blocks: 1545876
  Show dependency treegraph
Reported: 2017-06-21 14:04 EDT by Peter Gervase
Modified: 2018-03-19 01:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20176 None None None 2017-06-30 09:18 EDT

  None (edit)
Comment 1 Marek Hulan 2017-06-30 09:18:00 EDT
Created redmine issue http://projects.theforeman.org/issues/20176 from this bug
Comment 2 Marek Hulan 2017-06-30 09:25:05 EDT
There might be huge amount of groups in linked LDAP. Also this would block us from setting up a mapping before the group exists in LDAP. Would it be acceptable to verify that a user group exists e.g. by showing green check mark after user finished typing in case we were able to find the group? And just display a warning if we were unable to find the group.
Comment 3 Peter Gervase 2017-07-03 08:42:39 EDT
How about something like choosing the component for a new bug. Go to


and type in "sa" for the component. Give it a moment and you'll see the possible options with "sa" in the name. That would limit what gets displayed unless the user does the Ctrl + Shift + A to list all options. 

If something like that were implemented in satellite, that would help the satellite admin if they didn't know what their valid options to choose from were. The goal is to make this easier on the satellite admin who might not be too familiar with the authentication possibilities.

Note You need to log in before you can comment on or make changes to this bug.